For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList SenderPools
      • POSTCreate a SenderPool
      • GETFetch a SenderPool
      • DELDelete a SenderPool
      • PATCHUpdate a SenderPool
      • GETList Senders in a SenderPool
      • POSTAdd Senders to a SenderPool
      • DELRemove a Sender from a SenderPool
      • GETList Sender Pool Operations
      • GETFetch a SenderPool Operation
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSender Pools

Remove a Sender from a SenderPool

DELETE
https://comms.twilio.com/v1/SenderPools/:senderPoolId/Senders/:senderId
DELETE
/v1/SenderPools/:senderPoolId/Senders/:senderId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senderPools.removeSender("senderPoolId", "senderId");
9}
10main();
1{
2 "resourceId": "comms_sender_01h9krwprkeee8fzqspvwy6nq8",
3 "resourceLocation": "https://comms.twilio.com/v1/SenderPools/comms_senderpool_01h9krwprkeee8fzqspvwy6nq8/Senders/comms_sender_01h9krwprkeee8fzqspvwy6nq8"
4}
This operation removes a Sender from a SenderPool
Was this page helpful?
Previous

List Sender Pool Operations

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

senderPoolIdstringRequired
senderIdstringRequired

Response headers

Locationstring

The location (uri) of the resource identified by Resource-Id.

Response

The request was accepted and a resource ID is available to check the result. The response body contains the resource ID and link to the resource.
resourceIdstring
The Resource ID is an identifier for the resource that was created or updated in response to the request.
resourceLocationstringformat: "uri"

The location (uri) of the resource identified by Resource-Id.

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error